package com.persagy.ems.pojo.wz;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Id;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.mvc.pojo.BusinessObject;

/**
 * 城市信息
 */
@Dimension
@Entity(name = "CityLocation")
@Table(name = "t_city_location", schema = Schema.EMS, comment = "城市信息")
public class CityLocation extends BusinessObject {
	private static final long serialVersionUID = 3477628911821892063L;

	@Id
	@JsonProperty("name")
	@Column(order = 1, name = "c_name", length = 50, nullable = false, comment = "城市")
	private String name;

	@JsonProperty("info")
	@Column(order = 2, name = "c_info", length = 500, nullable = true, comment = "信息，json字符串")
	private String info;

	@JsonProperty("remark")
	@Column(order = 3, name = "c_remark", length = 500, nullable = true, comment = "数值")
	private String remark;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getInfo() {
		return info;
	}

	public void setInfo(String info) {
		this.info = info;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}
